import { r as registerInstance, h } from './index-35278baa.js';

const sideDrawerCss = ".backdrop{position:fixed;top:0;width:100%;height:100vh;background:rgba(0, 0, 0, 0.75);z-index:10;display:none;pointer-events:none;opacity:0;transition:opacity 0.3s ease-out}:host([opened]) .backdrop{display:block;opacity:1;pointer-events:all}aside{position:fixed;top:0;left:-100%;width:30rem;max-width:80%;height:100vh;background:#dfdfdf;box-shadow:0 2px 8px rgb(0, 0, 0, 0.27);transition:left 0.3s ease-out;z-index:100}:host([opened]) aside{left:0}header{padding:1rem;background:black;color:#fff;position:relative}header button{position:absolute;top:0;right:0;color:#fff;background:transparent;font-size:1.5rem;border:none;height:100%;cursor:pointer}header button:focus{outline:0}header h1{font-size:1.5rem;margin:0}#tabs{display:flex;justify-content:center;margin:1rem 0}#tabs button{width:30%;background:#fff;color:#000;text-align:center;border:1px solid #000;font:inherit;padding:0.15rem 0}#tabs button.active{background:#000;color:#fff}";

const SideDrawer = class {
  constructor(hostRef) {
    registerInstance(this, hostRef);
    this.showContactInfo = false;
  }
  onCloseDrawer() {
    this.opened = false;
  }
  onContentChange(content) {
    this.showContactInfo = content === 'contact';
  }
  async open() {
    this.opened = true;
  }
  render() {
    let mainContent = h("slot", null);
    if (this.showContactInfo) {
      mainContent = (h("div", { id: "contact-information" }, h("h2", null, "Contact Information"), h("p", null, "You can reach us via phone or email."), h("ul", null, h("li", null, "Phone: 49802384032"), h("li", null, "E-Mail:", h("a", { href: "mailto:something@something.com" }, "something@something.com")))));
    }
    return [
      h("div", { class: "backdrop", onClick: this.onCloseDrawer.bind(this) }),
      h("aside", null, h("header", null, h("h1", null, this.sideTitle), h("button", { onClick: this.onCloseDrawer.bind(this) }, "X")), h("section", { id: "tabs" }, h("button", { class: !this.showContactInfo ? 'active' : '', onClick: this.onContentChange.bind(this, 'nav') }, "Navigation"), h("button", { class: this.showContactInfo ? 'active' : '', onClick: this.onContentChange.bind(this, 'contact') }, "Contacts")), h("main", null, mainContent)),
    ];
  }
};
SideDrawer.style = sideDrawerCss;

export { SideDrawer as fly_side_drawer };
